# gradient.cpp File Reference

Color Gradient Class Member Definitions. More...

`#include "gradient.h"`
`#include "general.h"`
`#include <stdexcept>`
`#include "exception.h"`
`#include <algorithm>`
`#include <ETL/misc>`

## Functions

static synfig::ColorAccumulator | supersample_helper (const synfig::Gradient::CPoint &color1, const synfig::Gradient::CPoint &color2, float begin, float end, float &weight)
static void | show_gradient (const Gradient::CPointList x)

## Detailed Description

Color Gradient Class Member Definitions.

$Id$

## Function Documentation

static synfig::ColorAccumulator supersample_helper | ( | const synfig::Gradient::CPoint & | color1,
|  | const synfig::Gradient::CPoint & | color2,
|  | float | begin,
|  | float | end,
|  | float & | weight |
| ) |  |  | `[static]`

References synfig::Color::alpha(), synfig::Color::blend(), synfig::Color::BLEND_STRAIGHT, synfig::GradientCPoint::color, synfig::error(), synfig::GradientCPoint::pos, and synfig::Color::premult_alpha().

Referenced by synfig::Gradient::operator()().

static void show_gradient | ( | const Gradient::CPointList | x | ) | `[static]`

Referenced by synfig::Gradient::operator+=().